| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Neural::InputMappingDefinitionElement Class Reference

Input data element mapping definition for neural networks. More...

Inheritance diagram for IG::Neural::InputMappingDefinitionElement:
[legend]
Collaboration diagram for IG::Neural::InputMappingDefinitionElement:
[legend]

List of all members.

## Public Member Functions
| InputMappingDefinitionElement (int originalElementIndex, int mappedElemntIndex, string originalName, string originalTitle, string originalDescription)
| Constructor.
| InputMappingDefinitionElement (string name)
| Constructor. Element index is unknown, there is no element description.
| InputMappingDefinitionElement (string name, string title)
| Constructor. Element index is unknown.
| InputMappingDefinitionElement (string name, string title, string description)
| Constructor. Element index is unknown.

## Detailed Description

Input data element mapping definition for neural networks.

$A Igor Jul 19; tako78 Jul 19

## Constructor & Destructor Documentation

IG::Neural::InputMappingDefinitionElement::InputMappingDefinitionElement | ( | int | originalElementIndex,
|  | int | mappedElemntIndex,
|  | string | originalName,
|  | string | originalTitle,
|  | string | originalDescription
| ) |  | `[inline]`

Constructor.

Parameters:

  originalElementIndex | OriginalIndex of the input or output data element specified by the mapped definision. If less than 0 is specified then it is considered that original element index is not known or defined in the current context.
  mappedElemntIndex | MappedIndex of the input or output data element specified by the current definision. If less than 0 is specified then it is considered that original element index is not known or defined in the current context.
  originalName | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  originalTitle | Short descriptive title (like name, but can contain spaces and special characters).
  originalDescription | Element description. Can be an arbvitrary string.

$A Igor Jul 19; tako78 Jul 19

IG::Neural::InputMappingDefinitionElement::InputMappingDefinitionElement | ( | string | name | ) | `[inline]`

Constructor. Element index is unknown, there is no element description.

Parameters:

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.

$A Igor Jul 19; tako78 Jul 19

IG::Neural::InputMappingDefinitionElement::InputMappingDefinitionElement | ( | string | name,
|  | string | title
| ) |  | `[inline]`

Constructor. Element index is unknown.

Parameters:

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).

$A Igor Jul 19; tako78 Jul 19

IG::Neural::InputMappingDefinitionElement::InputMappingDefinitionElement | ( | string | name,
|  | string | title,
|  | string | description
| ) |  | `[inline]`

Constructor. Element index is unknown.

Parameters:

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).
  description | Element description. Can be an arbitrary string.

$A Igor Jul 19; tako78 Jul 19

The documentation for this class was generated from the following file:

- NeuralMapData.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events